<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_container"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_top_bg"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_publish_bid_top_bg"
                app:layout_constraintDimensionRatio="h,1125:804"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_desc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_20"
                android:layout_marginTop="96dp"
                android:text="Hi,为了服务发布的真实性，\n请认真填写信息哦~"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_17"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <eightbitlab.com.blurview.BlurView
                android:id="@+id/layout_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="168dp"
                android:background="@drawable/shape_trans_top_line_cor20"
                android:paddingStart="@dimen/dp_9"
                android:paddingTop="@dimen/dp_13"
                android:paddingEnd="@dimen/dp_9"
                app:blurOverlayColor="#4DFFFFFF"
                app:layout_constraintTop_toTopOf="parent">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <com.lihang.ShadowLayout
                        android:id="@+id/layout_reject_reason"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:visibility="gone"
                        app:hl_cornerRadius="@dimen/dp_12"
                        app:hl_shadowColor="@color/color_shadow"
                        app:hl_shadowLimit="@dimen/dp_7">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingStart="@dimen/dp_12"
                            android:paddingTop="@dimen/dp_16"
                            android:paddingEnd="@dimen/dp_12"
                            android:paddingBottom="@dimen/dp_16">

                            <TextView
                                android:id="@+id/tv_status"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="已驳回"
                                android:textColor="@color/color_ff493c"
                                android:textSize="@dimen/sp_14"
                                android:textStyle="bold"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_reason"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_6"
                                android:text="理由：图片不符合"
                                android:textColor="@color/color_999999"
                                android:textSize="@dimen/sp_12"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@id/tv_status" />

                            <TextView
                                android:id="@+id/tv_time"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="2025-07-29 12:14"
                                android:textColor="#ADADAD"
                                android:textSize="@dimen/sp_10"
                                app:layout_constraintBottom_toBottomOf="@id/tv_status"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="@id/tv_status" />

                        </androidx.constraintlayout.widget.ConstraintLayout>

                    </com.lihang.ShadowLayout>

                    <com.lihang.ShadowLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hl_cornerRadius="@dimen/dp_12"
                        app:hl_shadowColor="@color/color_shadow"
                        app:hl_shadowLimit="@dimen/dp_7">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingStart="@dimen/dp_12"
                            android:paddingTop="@dimen/dp_16"
                            android:paddingEnd="@dimen/dp_12">

                            <TextView
                                android:id="@+id/tv_bid_info_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="sans-serif-medium"
                                android:text="发布信息"
                                android:textColor="@color/color_1a1a1a"
                                android:textSize="@dimen/sp_16"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_2"
                                android:text="*"
                                android:textColor="@color/color_ff493c"
                                android:textSize="@dimen/dp_15"
                                app:layout_constraintStart_toEndOf="@id/tv_bid_info_title"
                                app:layout_constraintTop_toTopOf="@id/tv_bid_info_title" />

                            <TextView
                                android:id="@+id/tv_type_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="类型"
                                app:layout_constraintBottom_toBottomOf="@id/tv_type"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="@id/tv_type" />

                            <TextView
                                android:id="@+id/tv_type"
                                android:layout_width="0dp"
                                android:layout_height="@dimen/dp_52"
                                android:layout_marginStart="@dimen/dp_68"
                                android:layout_marginTop="@dimen/dp_8"
                                android:drawableEnd="@mipmap/ic_arrow_dp18"
                                android:gravity="center_vertical"
                                android:hint="请选择"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:textColor="@color/color_1a1a1a"
                                android:textColorHint="@color/color_bcbcbc"
                                android:textSize="@dimen/sp_14"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toEndOf="@id/tv_type_title"
                                app:layout_constraintTop_toBottomOf="@id/tv_bid_info_title" />

                            <View
                                android:id="@+id/view_line1"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/dp_1"
                                android:background="@color/color_eeeeee"
                                app:layout_constraintTop_toBottomOf="@id/tv_type" />

                            <TextView
                                android:id="@+id/tv_name_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="名称"
                                app:layout_constraintBottom_toBottomOf="@id/et_name"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="@id/et_name" />

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/et_name"
                                android:layout_width="0dp"
                                android:layout_height="@dimen/dp_52"
                                android:layout_marginStart="@dimen/dp_68"
                                android:background="@null"
                                android:gravity="center_vertical"
                                android:hint="请输入"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:textColor="@color/color_1a1a1a"
                                android:textColorHint="@color/color_bcbcbc"
                                android:textSize="@dimen/sp_14"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toEndOf="@id/tv_name_title"
                                app:layout_constraintTop_toBottomOf="@id/view_line1" />

                            <View
                                android:id="@+id/view_line2"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/dp_1"
                                android:background="@color/color_eeeeee"
                                app:layout_constraintTop_toBottomOf="@id/et_name" />

                            <TextView
                                android:id="@+id/tv_price_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_16"
                                android:text="价格"
                                app:layout_constraintTop_toBottomOf="@id/et_name" />

                            <RadioGroup
                                android:id="@+id/rg_price_type"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_68"
                                android:gravity="center_vertical"
                                android:orientation="horizontal"
                                app:layout_constraintBottom_toBottomOf="@id/tv_price_title"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toEndOf="@id/tv_price_title"
                                app:layout_constraintTop_toTopOf="@id/tv_price_title">

                                <RadioButton
                                    android:id="@+id/rb_price1"
                                    android:layout_width="@dimen/dp_18"
                                    android:layout_height="@dimen/dp_18"
                                    android:background="@drawable/selector_rb"
                                    android:button="@null"
                                    android:checked="true" />

                                <TextView
                                    android:id="@+id/tv_price1"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="@dimen/dp_10"
                                    android:text="价格"
                                    android:textColor="@color/color_1a1a1a"
                                    android:textSize="@dimen/sp_14" />

                                <RadioButton
                                    android:id="@+id/rb_price2"
                                    android:layout_width="@dimen/dp_18"
                                    android:layout_height="@dimen/dp_18"
                                    android:layout_marginStart="@dimen/dp_16"
                                    android:background="@drawable/selector_rb"
                                    android:button="@null" />

                                <TextView
                                    android:id="@+id/tv_price2"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="@dimen/dp_10"
                                    android:text="自定义"
                                    android:textColor="@color/color_1a1a1a"
                                    android:textSize="@dimen/sp_14" />

                            </RadioGroup>

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/et_price"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_68"
                                android:layout_marginTop="@dimen/dp_16"
                                android:background="@null"
                                android:gravity="center_vertical"
                                android:hint="请输入"
                                android:inputType="numberDecimal"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:textColor="@color/color_1a1a1a"
                                android:textColorHint="@color/color_bcbcbc"
                                android:textSize="@dimen/sp_14"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toEndOf="@id/tv_price_title"
                                app:layout_constraintTop_toBottomOf="@id/tv_price_title" />

                            <TextView
                                android:id="@+id/tv_unit"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="元"
                                android:textColor="@color/color_1a1a1a"
                                android:textSize="@dimen/sp_14"
                                app:layout_constraintBottom_toBottomOf="@id/et_price"
                                app:layout_constraintEnd_toEndOf="@id/et_price"
                                app:layout_constraintTop_toTopOf="@id/et_price" />

                            <View
                                android:id="@+id/view_line3"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/dp_1"
                                android:layout_marginTop="@dimen/dp_16"
                                android:background="@color/color_eeeeee"
                                app:layout_constraintTop_toBottomOf="@id/et_price" />

                            <TextView
                                android:id="@+id/tv_area_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="发布地区"
                                app:layout_constraintBottom_toBottomOf="@id/tv_area"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="@id/tv_area" />

                            <TextView
                                android:id="@+id/tv_area"
                                android:layout_width="0dp"
                                android:layout_height="@dimen/dp_52"
                                android:layout_marginStart="@dimen/dp_40"
                                android:background="@null"
                                android:drawableEnd="@mipmap/ic_arrow_dp18"
                                android:gravity="center_vertical"
                                android:hint="请选择"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:textColor="@color/color_1a1a1a"
                                android:textColorHint="@color/color_bcbcbc"
                                android:textSize="@dimen/sp_14"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toEndOf="@id/tv_area_title"
                                app:layout_constraintTop_toBottomOf="@id/view_line3" />

                            <View
                                android:id="@+id/view_line4"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/dp_1"
                                android:background="@color/color_eeeeee"
                                app:layout_constraintTop_toBottomOf="@id/tv_area" />

                            <TextView
                                android:id="@+id/tv_contacts_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_16"
                                android:text="联系方式"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@id/view_line4" />

                            <TextView
                                android:id="@+id/tv_contacts"
                                android:layout_width="0dp"
                                android:layout_height="@dimen/dp_52"
                                android:layout_marginStart="@dimen/dp_40"
                                android:gravity="center_vertical"
                                android:hint="请选择"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:textColor="@color/color_1a1a1a"
                                android:textColorHint="@color/color_bcbcbc"
                                android:textSize="@dimen/sp_14"
                                app:layout_constraintEnd_toStartOf="@id/iv_add_contacts"
                                app:layout_constraintStart_toEndOf="@id/tv_contacts_title"
                                app:layout_constraintTop_toBottomOf="@id/view_line4" />

                            <androidx.appcompat.widget.AppCompatImageView
                                android:id="@+id/iv_add_contacts"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:src="@mipmap/ic_select_contacts"
                                app:layout_constraintBottom_toBottomOf="@id/tv_contacts_title"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="@id/tv_contacts_title" />

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rv_contacts"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_40"
                                android:overScrollMode="never"
                                android:paddingTop="@dimen/dp_16"
                                android:paddingBottom="@dimen/dp_16"
                                android:visibility="gone"
                                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                                app:layout_constraintEnd_toStartOf="@id/iv_add_contacts"
                                app:layout_constraintStart_toEndOf="@id/tv_contacts_title"
                                app:layout_constraintTop_toBottomOf="@id/view_line4"
                                tools:itemCount="1"
                                tools:listitem="@layout/listitem_publish_bid_contacts" />
                        </androidx.constraintlayout.widget.ConstraintLayout>
                    </com.lihang.ShadowLayout>

                    <com.lihang.ShadowLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hl_cornerRadius="@dimen/dp_12"
                        app:hl_shadowColor="@color/color_shadow"
                        app:hl_shadowLimit="@dimen/dp_7">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingStart="@dimen/dp_12"
                            android:paddingEnd="@dimen/dp_12"
                            android:paddingBottom="@dimen/dp_16">

                            <TextView
                                android:id="@+id/tv_explain_title"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_16"
                                android:drawablePadding="@dimen/dp_6"
                                android:fontFamily="sans-serif-medium"
                                android:text="说明"
                                android:textColor="@color/color_1a1a1a"
                                android:textSize="@dimen/sp_16"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_2"
                                android:text="*"
                                android:textColor="@color/color_ff493c"
                                android:textSize="@dimen/dp_15"
                                app:layout_constraintStart_toEndOf="@id/tv_explain_title"
                                app:layout_constraintTop_toTopOf="@id/tv_explain_title" />

                            <androidx.appcompat.widget.AppCompatEditText
                                android:id="@+id/et_explain"
                                android:layout_width="match_parent"
                                android:layout_height="0dp"
                                android:layout_marginTop="@dimen/dp_15"
                                android:background="@null"
                                android:gravity="start|top"
                                android:hint="输入的信息越全，查看的人越多哟~"
                                android:maxLength="500"
                                android:textColor="@color/color_1a1a1a"
                                android:textColorHint="@color/color_bcbcbc"
                                android:textSize="@dimen/sp_14"
                                app:layout_constraintDimensionRatio="h,319:200"
                                app:layout_constraintTop_toBottomOf="@id/tv_explain_title" />

                            <TextView
                                android:id="@+id/tv_text_count"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="@dimen/dp_8"
                                android:layout_marginBottom="@dimen/dp_8"
                                android:text="0/500"
                                android:textColor="@color/color_999999"
                                android:textSize="@dimen/sp_10"
                                app:layout_constraintBottom_toBottomOf="@id/et_explain"
                                app:layout_constraintEnd_toEndOf="@id/et_explain" />

                            <TextView
                                android:id="@+id/tv_image_limit_tip"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_6"
                                android:text="第一张图将作为缩略图"
                                android:textColor="@color/color_666666"
                                android:textSize="@dimen/sp_12"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@id/et_explain" />

                            <TextView
                                android:id="@+id/tv_image_count"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_2"
                                android:text="(0/5)"
                                android:textColor="@color/color_999999"
                                android:textSize="@dimen/sp_12"
                                app:layout_constraintBottom_toBottomOf="@id/tv_image_limit_tip"
                                app:layout_constraintStart_toEndOf="@id/tv_image_limit_tip"
                                app:layout_constraintTop_toTopOf="@id/tv_image_limit_tip" />

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rv_images"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_7"
                                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                                app:layout_constraintTop_toBottomOf="@id/tv_image_limit_tip"
                                app:spanCount="5"
                                tools:itemCount="1"
                                tools:listitem="@layout/listitem_add_bid_img" />
                        </androidx.constraintlayout.widget.ConstraintLayout>
                    </com.lihang.ShadowLayout>

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_15" />

                </LinearLayout>

            </eightbitlab.com.blurview.BlurView>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="提交"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" " />

</androidx.constraintlayout.widget.ConstraintLayout>